%define iconname sort_incr.png

Name:           fatsort
Summary:        A C utility that sorts FAT16 and FAT32 partitions
Version:        0.9.14
Release:        %mkrel 0.209.3
Url:            http://fatsort.berlios.de/
License:        GPLv2
Group:          File tools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}-209.tar.bz2
Patch1:		Makefile.diff-1.patch
Patch2:		Makefile.diff-2.patch
Patch0:		%{name}-%{version}-209-sbindir.patch
#BuildRequires:
Requires:       glibc >= 2.12.1
Requires:       libstdc++6 >= 4.5.2

%description
FATSort is a C utility and GUI that sorts FAT16 and FAT32 partitions (FAT12 is a little
bit more complicated, so I didn't implement it). It even can handle long file
name entries. It was developed because I wanted to sort my MP3 files on my MP3
hardware player. Unfortunetly, there was no utility out there so far, so I had
to write it myself. FATSort reads the boot sector and sorts the directory
structure recursively. FATSort is released under GPLv2.

%prep
%setup -q -n %{name}-%{version}-209
%patch1 -p1
%patch2 -p1


%build
%make

%install
rm -fr %buildroot
%makeinstall_std


mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
install -m 644 %{iconname} %{buildroot}%{_iconsdir}/%{iconname}

mkdir -p %{buildroot}%{_bindir}
install -m 777 fatsort-gui.py %{buildroot}%{_bindir}/fatsort-gui.py

 

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=FATsort
Comment=FATSort is a C utility that sorts FAT16 and FAT32 partitions
Exec=%{_bindir}/fatsort-gui.py
Icon=sort_incr.png
Terminal=false
Type=Application
StartupNotify=false
MimeType=text/plain;
Categories=X-MandrivaLinux-System-FileTools;
EOF



%post
%{update_menus}

%postun
%{clean_menus}

%files 
%defattr(-,root,root)
%{_bindir}/fatsort-gui.py
%{_sbindir}/fatsort
%{_datadir}/applications/fatsort.desktop
%{_datadir}/icons/sort_incr.png
%{_datadir}/man/man1/fatsort.1.bz2



%clean
rm -rf "%{buildroot}"


%changelog
* Mon Apr 18 2011 Texstar <texstar at gmail.com> 0.9.10-0.209.3pclos2011
- fix typo in rpm/synaptic group

* Fri Apr 01 2011 Texstar <texstar at gmail.com> 0.9.10-0.209.2pclos2011
- fix rpm/synaptic group to File toools
- add patch1 and patch2 to for /usr not /usr/local
- fix filelist

* Tue Mar 29 2011 Sproggy <desproggster at gmail.com> 0.9.10-0.209.1pclos2011
- initial package for PCLOS
